# DOMAttr::__construct

(PHP 5, PHP 7, PHP 8)

DOMAttr::__construct — Crea un nuevo objeto DOMAttr

### Descripción

public DOMAttr::__construct(string `$name`, string `$value` = "")

Crea un nuevo objeto DOMAttr. Este objeto es de sólo lectura. Puede ser anexado a un documento, pero no se le podrán anexar nodos adicionales a este hasta que sea asociado con un documento. Para crear un nodo modificable utilice DOMDocument::createAttribute.

### Parámetros

`name`

  El nombre de etiqueta del atributo.

`value`

  El valor de atributo.

### Ejemplos

Ejemplo #1 Creación de un nuevo objeto DOMAttr

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
$element = $dom->appendChild(new DOMElement('root'));
$attr = $element->setAttributeNode(new DOMAttr('attr', 'attrvalue'));
echo $dom->saveXML();
?>`

El resultado del ejemplo sería:

    <?xml version="1.0" encoding="utf-8"?>
    <root attr="attrvalue" />

### Ver también

- DOMDocument::createAttribute() - Crear nuevo attribute